function getUserId () {

  var config = require('./config')
  var cm = require('cookieman')
  var driftwood = require('driftwood')
  driftwood.enable()
  var log = driftwood.logger('app')
  var _ = require('underscore')

  var uuid = cm.val('dart') || require('uuid/v4')()

  // refresh cookie
  cm.set('dart', uuid, {
    expires: new Date(new Date().getTime() + 365 * 24 * 60 * 60 * 1000)
  })

  console.log(config)

  return uuid;

}

function track (event_name, props, cb) {
  if (typeof(cb) !== 'function') {
    cb = function() {}
  }

  if (_.isUndefined(event_name)) {
    log.error('No event name provided to track')
    return
  }

}

export { getUserId, track }
